> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# listTagValues

> Get a bot tag values



## OpenAPI

````yaml runtime-openapi.json get /v1/chat/tags/{key}/values
openapi: 3.0.0
info:
  title: Botpress Runtime API
  description: API for Botpress Runtime
  version: 1.52.1
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
paths:
  /v1/chat/tags/{key}/values:
    get:
      tags:
        - Endpoints
      description: Get a bot tag values
      operationId: listTagValues
      parameters:
        - name: nextToken
          in: query
          description: >-
            Provide the `meta.nextToken` value provided in the last API response
            to retrieve the next page of results
          schema:
            type: string
        - name: key
          in: path
          description: Tag key
          required: true
          schema:
            type: string
        - name: type
          in: query
          description: Tag type
          required: true
          schema:
            type: string
            enum:
              - user
              - conversation
              - message
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/listTagValuesResponse'
        default:
          $ref: '#/components/responses/listTagValuesResponse'
components:
  responses:
    listTagValuesResponse:
      description: Empty response
      content:
        application/json:
          schema:
            type: object
            properties:
              tags:
                type: array
                items:
                  type: object
                  properties:
                    value:
                      type: string
                  required:
                    - value
              meta:
                type: object
                properties:
                  nextToken:
                    type: string
                    description: >-
                      The token to use to retrieve the next page of results,
                      passed as a query string parameter (value should be
                      URL-encoded) to this API endpoint.
                additionalProperties: false
            required:
              - tags
              - meta
            title: listTagValuesResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````